/*
 * custom-bootstrap-margin-padding.scss
 * -----------------------------------------------
*/
$custom-margin-padding: () !default;
$custom-margin-padding: map-merge(
  (
	"-0": 0,
	"10": 10,
	"15": 15,
	"20": 20,
	"25": 25,
	"30": 30,
	"40": 40,
	"50": 50,
	"60": 60,
	"70": 70,
	"80": 80,
	"90": 90,
	"100": 100,
	"110": 110,
	"120": 120,
	"130": 130,
	"140": 140,
	"150": 150,
	"200": 200,
	"250": 250,
	"-10": -10,
	"-15": -15,
	"-20": -20,
	"-25": -25,
	"-30": -30,
	"-40": -40,
	"-50": -50,
	"-60": -60,
	"-70": -70,
	"-80": -80,
	"-90": -90,
	"-100": -100,
  ),
  $custom-margin-padding
);


/* Margin */
@each $item, $value in $custom-margin-padding {
	.m-#{$item} {
		margin: #{$value}px !important;
	}
}
@each $item, $value in $custom-margin-padding {
	.mt-#{$item} {
		margin-top: #{$value}px !important;
	}
}
@each $item, $value in $custom-margin-padding {
	.mb-#{$item} {
		margin-bottom: #{$value}px !important;
	}
}
@each $item, $value in $custom-margin-padding {
	.mr-#{$item} {
		margin-right: #{$value}px !important;
	}
}
@each $item, $value in $custom-margin-padding {
	.ml-#{$item} {
		margin-left: #{$value}px !important;
	}
}

//lg
@include media-breakpoint-down(lg) {
	@each $item, $value in $custom-margin-padding {
		.m-lg-#{$item} {
			margin: #{$value}px !important;
		}
	}

	@each $item, $value in $custom-margin-padding {
		.mt-lg-#{$item} {
			margin-top: #{$value}px !important;
		}
	}

	@each $item, $value in $custom-margin-padding {
		.mb-lg-#{$item} {
			margin-bottom: #{$value}px !important;
		}
	}

	@each $item, $value in $custom-margin-padding {
		.mr-lg-#{$item} {
			margin-right: #{$value}px !important;
		}
	}

	@each $item, $value in $custom-margin-padding {
		.ml-lg-#{$item} {
			margin-left: #{$value}px !important;
		}
	}
}

//md
@include media-breakpoint-down(md) {
	@each $item, $value in $custom-margin-padding {
		.m-md-#{$item} {
			margin: #{$value}px !important;
		}
	}

	
	@each $item, $value in $custom-margin-padding {
		.mt-md-#{$item} {
			margin-top: #{$value}px !important;
		}
	}

	@each $item, $value in $custom-margin-padding {
		.mb-md-#{$item} {
			margin-bottom: #{$value}px !important;
		}
	}

	@each $item, $value in $custom-margin-padding {
		.mr-md-#{$item} {
			margin-right: #{$value}px !important;
		}
	}

	@each $item, $value in $custom-margin-padding {
		.ml-md-#{$item} {
			margin-left: #{$value}px !important;
		}
	}
}

//sm
@include media-breakpoint-down(sm) {
	@each $item, $value in $custom-margin-padding {
		.m-sm-#{$item} {
			margin: #{$value}px !important;
		}
	}

	
	@each $item, $value in $custom-margin-padding {
		.mt-sm-#{$item} {
			margin-top: #{$value}px !important;
		}
	}

	@each $item, $value in $custom-margin-padding {
		.mb-sm-#{$item} {
			margin-bottom: #{$value}px !important;
		}
	}

	@each $item, $value in $custom-margin-padding {
		.mr-sm-#{$item} {
			margin-right: #{$value}px !important;
		}
	}

	@each $item, $value in $custom-margin-padding {
		.ml-sm-#{$item} {
			margin-left: #{$value}px !important;
		}
	}
}

//xs
@include media-breakpoint-down(xs) {
	@each $item, $value in $custom-margin-padding {
		.m-xs-#{$item} {
			margin: #{$value}px !important;
		}
	}

	
	@each $item, $value in $custom-margin-padding {
		.mt-xs-#{$item} {
			margin-top: #{$value}px !important;
		}
	}

	@each $item, $value in $custom-margin-padding {
		.mb-xs-#{$item} {
			margin-bottom: #{$value}px !important;
		}
	}

	@each $item, $value in $custom-margin-padding {
		.mr-xs-#{$item} {
			margin-right: #{$value}px !important;
		}
	}

	@each $item, $value in $custom-margin-padding {
		.ml-xs-#{$item} {
			margin-left: #{$value}px !important;
		}
	}
}

















/* Padding */
@each $item, $value in $custom-margin-padding {
	.p-#{$item} {
		padding: #{$value}px !important;
	}
}

@each $item, $value in $custom-margin-padding {
	.pt-#{$item} {
		padding-top: #{$value}px !important;
	}
}

@each $item, $value in $custom-margin-padding {
	.pb-#{$item} {
		padding-bottom: #{$value}px !important;
	}
}

@each $item, $value in $custom-margin-padding {
	.pr-#{$item} {
		padding-right: #{$value}px !important;
	}
}

@each $item, $value in $custom-margin-padding {
	.pl-#{$item} {
		padding-left: #{$value}px !important;
	}
}

//lg
@include media-breakpoint-down(lg) {
	@each $item, $value in $custom-margin-padding {
		.p-lg-#{$item} {
			padding: #{$value}px !important;
		}
	}

	
	@each $item, $value in $custom-margin-padding {
		.pt-lg-#{$item} {
			padding-top: #{$value}px !important;
		}
	}

	@each $item, $value in $custom-margin-padding {
		.pb-lg-#{$item} {
			padding-bottom: #{$value}px !important;
		}
	}

	@each $item, $value in $custom-margin-padding {
		.pr-lg-#{$item} {
			padding-right: #{$value}px !important;
		}
	}

	@each $item, $value in $custom-margin-padding {
		.pl-lg-#{$item} {
			padding-left: #{$value}px !important;
		}
	}
}

//md
@include media-breakpoint-down(md) {
	@each $item, $value in $custom-margin-padding {
		.p-md-#{$item} {
			padding: #{$value}px !important;
		}
	}

	
	@each $item, $value in $custom-margin-padding {
		.pt-md-#{$item} {
			padding-top: #{$value}px !important;
		}
	}

	@each $item, $value in $custom-margin-padding {
		.pb-md-#{$item} {
			padding-bottom: #{$value}px !important;
		}
	}

	@each $item, $value in $custom-margin-padding {
		.pr-md-#{$item} {
			padding-right: #{$value}px !important;
		}
	}

	@each $item, $value in $custom-margin-padding {
		.pl-md-#{$item} {
			padding-left: #{$value}px !important;
		}
	}
}

//sm
@include media-breakpoint-down(sm) {
	@each $item, $value in $custom-margin-padding {
		.p-sm-#{$item} {
			padding: #{$value}px !important;
		}
	}

	
	@each $item, $value in $custom-margin-padding {
		.pt-sm-#{$item} {
			padding-top: #{$value}px !important;
		}
	}

	@each $item, $value in $custom-margin-padding {
		.pb-sm-#{$item} {
			padding-bottom: #{$value}px !important;
		}
	}

	@each $item, $value in $custom-margin-padding {
		.pr-sm-#{$item} {
			padding-right: #{$value}px !important;
		}
	}

	@each $item, $value in $custom-margin-padding {
		.pl-sm-#{$item} {
			padding-left: #{$value}px !important;
		}
	}
}

//xs
@include media-breakpoint-down(xs) {
	@each $item, $value in $custom-margin-padding {
		.p-xs-#{$item} {
			padding: #{$value}px !important;
		}
	}

	
	@each $item, $value in $custom-margin-padding {
		.pt-xs-#{$item} {
			padding-top: #{$value}px !important;
		}
	}

	@each $item, $value in $custom-margin-padding {
		.pb-xs-#{$item} {
			padding-bottom: #{$value}px !important;
		}
	}

	@each $item, $value in $custom-margin-padding {
		.pr-xs-#{$item} {
			padding-right: #{$value}px !important;
		}
	}

	@each $item, $value in $custom-margin-padding {
		.pl-xs-#{$item} {
			padding-left: #{$value}px !important;
		}
	}
}

//custom-responsive-position
$custom-pos: () !default;
$custom-pos: map-merge(
  (
	"0": 0,
	"10": 10,
	"15": 15,
	"20": 20,
	"25": 25,
	"30": 30,
	"40": 40,
	"50": 50,
	"60": 60,
	"70": 70,
	"80": 80,
	"90": 90,
	"100": 100,
  ),
  $custom-pos
);

//top
@each $item, $value in $custom-pos {
	.tm-responsive-pos-top-#{$item} {
		top: #{$item}px;
	}
}
@include media-breakpoint-down(md) {
	[class^="tm-responsive-pos-top-"], [class*=" tm-responsive-pos-top-"] {
		top: 0;
	}
}

//bottom
@each $item, $value in $custom-pos {
	.tm-responsive-pos-bottom-#{$item} {
		bottom: #{$item}px;
	}
}
@include media-breakpoint-down(md) {
	[class^="tm-responsive-pos-bottom-"], [class*=" tm-responsive-pos-bottom-"] {
		bottom: 0;
	}
}

//responsive margin top
.mt-responsive--150 {
	margin-top: -150px;
	@include media-breakpoint-down(lg) {
		margin-top: -100px;
	}
	@include media-breakpoint-down(md) {
		margin-top: -50px;
	}
}
.mt-responsive--200 {
	margin-top: -200px;
	@include media-breakpoint-down(lg) {
		margin-top: -150px;
	}
	@include media-breakpoint-down(md) {
		margin-top: -80px;
	}
}
.mt-responsive--210 {
	margin-top: -210px;
	@include media-breakpoint-down(lg) {
		margin-top: -150px;
	}
	@include media-breakpoint-down(md) {
		margin-top: -80px;
	}
}
.mt-responsive--220 {
	margin-top: -220px;
	@include media-breakpoint-down(lg) {
		margin-top: -150px;
	}
	@include media-breakpoint-down(md) {
		margin-top: -80px;
	}
}
.mt-responsive--230 {
	margin-top: -230px;
	@include media-breakpoint-down(lg) {
		margin-top: -150px;
	}
	@include media-breakpoint-down(md) {
		margin-top: -80px;
	}
}
.mt-responsive--240 {
	margin-top: -240px;
	@include media-breakpoint-down(lg) {
		margin-top: -150px;
	}
	@include media-breakpoint-down(md) {
		margin-top: -80px;
	}
}
.mt-responsive--250 {
	margin-top: -250px;
	@include media-breakpoint-down(lg) {
		margin-top: -150px;
	}
	@include media-breakpoint-down(md) {
		margin-top: -80px;
	}
}
@include media-breakpoint-down(sm) {
	[class^="mt-responsive-"], [class*=" mt-responsive-"] {
		margin-top: 0;
	}
}